Skip to content
Permalink
Browse files

Travis-CI: Move from Ubuntu 14.04 to 18.04

Ubuntu 14.04 reached EOL for mainstream support in April 2019, and I'm
about to add a dependency on a version of SDL newer than the one in
14.04. Instead of going via 16.04, which only has about a year of
support lifetime left itself, let's go directly to 18.04, currently the
latest LTS release.

Update build-dependencies accordingly.

Signed-off-by: Simon McVittie <smcv@debian.org>
  • Loading branch information
smcv authored and Razish committed Feb 15, 2020
1 parent eed6092 commit 24d38be3fed3f7918e162c61efb6779094a32bb5
Showing with 7 additions and 10 deletions.
  1. +1 −1 .travis.yml
  2. +6 −9 scripts/travis/install.sh
@@ -1,6 +1,6 @@
language: cpp
sudo: required
dist: trusty
dist: bionic

addons:
homebrew:
@@ -20,7 +20,7 @@ case "${host}" in
libsdl2-dev \
libjpeg-turbo8-dev \
zlib1g-dev \
libpng12-dev
libpng-dev
;;

(i686-w64-mingw32)
@@ -41,15 +41,12 @@ case "${host}" in
libjpeg-turbo8-dev:i386 \
zlib1g-dev:i386 \
libc6-dev:i386 \
libpng12-dev:i386 \
g++-multilib \
g++-4.8-multilib \
gcc-4.8-multilib \
libpng-dev:i386 \
cpp \
g++ \
g++-4.8 \
g++-multilib \
gcc \
gcc-4.8 \
cpp \
cpp-4.8
gcc-multilib \
${NULL+}
;;
esac

0 comments on commit 24d38be

Please sign in to comment.
You can’t perform that action at this time.